Skip to content

Retrieve rtk status and config object for a device​

GET
/devices/{id}/getRtkStatus

Authorizations​

ApiKeyAuth

API Key for authentication. Retrieval from either API version login routes, or other authentication token type. See Authentication for more details.

Type
API Key (header: Authorization)
Example"eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9..."

Parameters​

Path Parameters

id*

device id

Type
number
Required
Format
"integer"

Request example

Responses​

Body (JSON)

application/json
JSON
{
  
"deviceId": 0,
  
"group": 0,
  
"msgMask": 0,
  
"connected": "string",
  
"locationUpdated": "string",
  
"location": {
  
  
"lat": 0,
  
  
"lng": 0
  
},
  
"accuracy": 0,
  
"positionType": "string",
  
"currentBaseId": 0
}
Try this endpoint

Playground​

Authorization
Variables
Key
Value

OpenAPI definition ​

References are expanded below, except recursive definitions and references with sibling fields. Documentation overrides are included. Full original OpenAPI spec (JSON).

View endpoint OpenAPI definition
yaml
openapi: 3.1.0
info:
  version: 1.1.0
  title: TrackingAPI
  description: V1 API for retrieving tracking data and changing settings on Lightbug devices
servers:
  - url: https://api.lightbug.cloud/api
externalDocs: {}
security:
  - ApiKeyAuth: []
tags: []
paths:
  /devices/{id}/getRtkStatus:
    get:
      tags:
        - rtk
      summary: Retrieve rtk status and config object for a device
      parameters:
        - name: id
          in: path
          description: device id
          required: true
          schema:
            type: number
            format: integer
      responses:
'200':
yaml
          description: Body (JSON)
          content:
            application/json:
              schema:
                properties:
                  deviceId:
                    type: number
                    format: ''
                  group:
                    type: number
                    format: ''
                  msgMask:
                    type: number
                    format: ''
                  connected:
                    description: Last open msg receive time from rtk base (not same as last message, use log for this)
                    type: string
                    format: date-time
                  locationUpdated:
                    description: TBC
                    type: string
                    format: date-time
                  location:
                    properties:
                      lat:
                        type: number
                      lng:
                        type: number
                    type: object
                  accuracy:
                    type: number
                    format: ''
                  positionType:
                    description: ENUM('invalid', 'fixed', '2d', 'standalone', 'rtkFloat', 'rtkFix')
                    type: string
                  currentBaseId:
                    type: number
                    format: ''
                required:
                  - deviceId
                type: object
yaml
      deprecated: false
      security:
        - ApiKeyAuth: []
      operationId: get-devices-id-getRtkStatus
components:
  securitySchemes:
    ApiKeyAuth:
      in: header
      name: Authorization
      type: apiKey
      description: API Key for authentication. Retrieval from either API version login routes, or other authentication token type. See <a href='/apis/authentication'>Authentication</a> for more details.
      example: eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9...